## 把线性感知机表示为神经元
在[The Mechanics of Machine Learning](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/3.The%20Mechanics%20of%20Machine%20Learning.md)一节，我们讨论了使用机器学习模型获取考试成功与学习/睡眠花费时间之间的关系。为了处理该问题，我们构建线性感知机分类器将平面直角坐标系分为两半：

$$
h(x,\theta)=\left\{\begin{matrix}
-1, & if \quad 3x_1 + 4x_2 - 24 < 0 \\\
1, & if \quad 3x_1 + 4x_2 - 24 \geq  0
\end{matrix}\right.
$$

如[图1-4](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/images_folder/Fig1-4.png)所示，对 $\theta$ 存在将数据集中每个数据正确分类的最优解。此处，模型 $h$ 容易地使用神经元表示。考虑图1-8描绘的神经元，有两个输入和一个偏置项，使用函数：

$$
f(z)=\left\{\begin{matrix}
-1, & if \quad z < 0 \\\
1, & if \quad z \geq  0
\end{matrix}\right.
$$

显而易见，线性感知机和神经元模型完美等价。一般来说，可以简单地证明单个神经元比线性感知机具有更强的表达能力。就是说，每个线性感知机可以表示为单个神经元，但单个神经元还能够表示任何线性感知机无法表示的模型。

![Expressing our exam performance perceptron as a neuron](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/images_folder/Fig1-8.png?raw=true)

图1-8 Expressing our exam performance perceptron as a neuron
