## 线性神经元和它们的局限性
大部分神经元类型是根据应用到它们的logit输出 $z$ 上的函数 $f$ 定义的。我们首先讨论使用形式为 $f(z)=az+b$ 的线性函数的神经元层。例如，尝试估计在快餐店就餐费用的神经元将使用 $a=1$ 和 $b=0$ 的线性神经元。换句话说，使用 $f(z)=z$ ，权重等于每道餐品的价格，图1-10中的线性神经元输入已经点好上餐的汉堡包、炸薯条和汽水三种餐品，输出是三者一起的价格。

![An example of a linear neuron](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/images_folder/Fig1-10.png?raw=true)

图1-10 An example of a linear neuron

线性神经元容易计算，但却陷入了严重的局限性。实际上，任何仅由线性神经元组成的前馈神经网络能被表示为没有隐藏层的网络。这是有问题的，因为正如我们前面讨论的，使我们从输入数据中学习到重要特征的是隐藏层。换言之，为了学习到复杂的关系，我们需要使用具有某种非线性的神经元。
