## Softmax输出层
通常，我们希望输出向量是对一组互斥标签的概率分布。例如，我们要创建神经网络从MNIST数据集中识别手写的数字。虽然每个标签(从0到9)都是互斥的，但我们不可能100%准确地识别数字。用概率分布让我们对预测的置信区间有了更好的了解。因此，我们想得到的输出向量是下面这种形式的，其中 $\sum_{i=0}^{9} p_i=1$：

$$ [p_0 \ p_1 \ p_2 \ p_3 \ ... \ p_9] $$

用一种称为softmax层的特殊输出层就能产生这样的输出。不像其他类型的神经元层，softmax层里神经元的输出取决于同层所有其他神经元的输出。这是因为我们要求所有输出的和为1。令 $z_i$ 为 $i^{th}$ softmax神经元的logit，我们可以令它的输出等于下式实现归一化：

$$ y_i=\frac {e^{z_i}}{\sum_j e^{z_j}} $$

强预测将使得向量中的某一项接近1，其他项接近0。弱预测使得多个可能的标签的概率差不多相等。
