## 什么是tensorflow？
尽管可以用整本书抽象地描述深度学习模型，但是我们希望在本书结束时，读者不仅了解深度模型工作原理，而且掌握为自己的问题从0创建模型所需的技术集合。现在我们对深度学习模型有了更好的理论理解，本章将用软件实现其中的一些算法。

我们将要使用的贯穿本书始终的工具叫做TensorFlow $^1$ 。TensorFlow是Google在2015年发布的开源软件库，它让开发者更方便地设计、创建和训练深度学习模型。TensorFlow原来是Google开发人员用于在公司内部创建模型的内部库，我们期望能够在开源版本中增加额外的功能，就像在google内部测试和验证一样。尽管TensorFlow只是开发人员几个可选工具之一，但由于它的缜密设计和简便易用，我们在本书中还是选择使用它。下节我们将简短比较一下TensorFlow与其他的可选框架。

从较高的层面上讲，TensorFlow是一个python库，它允许使用者把任何计算表示为数据流的图。图中的节点表示数学运算，边表示数据从一个节点流向其他节点。TensorFlow中的数据用张量表示，张量是多维数组(其中一维张量用向量表示，二维张量用矩阵表示，以此类推)。尽管这种考虑计算的框架在许多不同的领域都是有价值的，但TensorFlow主要还是应用在深度学习的实践和研究中。

把神经网络看作张量，反之也不是没有意义的，而是贯穿本书全程的技巧。用这种方式表示深度神经网络允许我们利用现代硬件提供的加速(例如并行张量运算的GPU加速)，为实现模型提供了简洁但有表现力的方法。本章我们将讨论TensorFlow基础，解读两个简单的例子(逻辑回归和多层前馈神经网络)。在深入TensorFlow之前，我们聊聊它与其他表示深度学习模型的框架是如何一决高下的。


> 1 https://www.tensorflow.org/
