## 与其他框架相比TensorFlow到底如何？
除了TensorFlow，历年来涌现了大量创建深度神经网络的库，比如Theano，Torch，Caffe，Neon和Keras $^2$。基于两个简单的准则(表现力和活跃的开发者社区)，我们最终把选择范围限制为TensorFlow，Theano(由蒙特利尔大学LISA实验室创建)和Torch(由Facebook人工智能实验室大力维护)。

这三家自夸有强大的开发者社区，使用户少限制地操纵张量和特征自动区分(这使得用户训练深度模型可以不用像前一章那样，不得不为任意架构的模型设计后向传播算法)。然而，Torch的一个缺点是它的框架使用lua写的，lua是一种类似于python的脚本语言，但它在深度学习社区以外不常用。我们想免除新手为了创建深度学习模型还要学习一种全新的语言，所以进一步把可选范围缩小到TensorFlow和Theano。

在这两者之间做出选择是困难的(实际上，本章的早期版本首次是使用Theano写的)，但最终我们选择TensorFlow是有一些微妙的原因。首先，Theano有额外的“图汇编”步骤，这在建立某种深度学习架构时占用了大量的时间。虽然和训练时间相比这不算什么，但在写和调试新代码时汇编阶段证明是令人沮丧的。第二，与Theano相比，TensorFlow接口更加简洁。模型的许多类可以用更少行代码表示而不牺牲框架的表达力。最后，创建TensorFlow时，开发者把生产使用牢记在心中，而Theano被研究人员设计地几乎纯粹用于研究用途。因此，TensorFlow有很多开箱即用的特性，在工作中对于实际系统而言它是更好的选择(运行在移动环境的能力，在单台设备上轻易地跨越多个GPU创建模型，以分布式方式训练大规模网络)。尽管熟悉Theano和TensorFlow在学习开源例子时非常有帮助，但复习这些框架已经超出了本书的范畴。

> 2 http://deeplearning.net/software/theano/; http://torch.ch/; http://caffe.berkeleyvision.org/; https://www.nervanasys.com/technology/neon/; https://keras.io/
