## 安装TensorFlow
如果你不打算修改在TensorFlow源码，在本地开发环境安装TensorFlow是简单的。用python包安装管理器pip，如果你的计算机上还没有安装pip，在终端里输入下列命令：

```
# Ubuntu/Linux 64-bit
$ sudo apt-get install python-pip python-dev
# Mac OS X
$ sudo easy_install pip
```

一旦在计算机上安装了pip(8.1或更高的版本)，我们就能用下面的命令安装TensorFlow。如果我们想安装GPU使能版本的TensorFlow(强烈建议安装)，请注意pip包命名的差异：

```
$ pip install --upgrade tensorflow # for Python 2.7
$ pip3 install --upgrade tensorflow # for Python 3.n
$ pip install --upgrade tensorflow-gpu # for Python 2.7
                                       # and GPU
$ pip3 install --upgrade tensorflow-gpu # for Python 3.n
                                        # and GPU
```

如果安装了GPU使能版本的TensorFlow，我们还有一些额外的步骤。具体地，必须下载CUDA Toolkit 8.0 $^3$ 和最新的CUDNN Toolkit $^4$。把CUDA Toolkit 7.0安装到/usr/local/cuda，然后解压拷贝CUDNN文件到toolkit目录。假设toolkit安装在/usr/local/cuda，你可以按照下面的指示完成配置：

```
$ tar xvzf cudnn-version-os.tgz
$ sudo cp cudnn-version-os/cudnn.h /usr/local/cuda/include
$ sudo cp cudnn-version-os/libcudnn* /usr/local/cuda/lib64
```

你还要设置LD_LIBRARY_PATH和CUDA_HOME环境变量使得TensorFlow访问CUDA。记得把下面命令加到你的~/.bash_profile文件。这些操作都是假设你的CUDA安装在/usr/local/cuda：

```
export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:/usr/local/cuda/lib64"
export CUDA_HOME=/usr/local/cuda
```

注意，为了看这些修改是否适当地反映在当前终端会话中，你必须执行：

```
$ source ~/.bash_profile
```

此刻，你应该可以在选定的python shell中运行TensorFlow了。在本教程里，我们选择用IPython。用pip安装IPython只需下面命令：

```
$ pip install ipython
```

然后我们可以测试安装的TensorFlow功能是否如期望一样：

```
$ ipython
...
In [1]: import tensorflow as tf
In [2]: deep_learning = tf.constant('Deep Learning')
In [3]: session = tf.Session()
In [4]: session.run(deep_learning)
Out[4]: 'Deep Learning'
In [5]: a = tf.constant(2)
In [6]: a = tf.constant(2)
In [7]: multiply = tf.mul(a, b)
In [7]: session.run(multiply)
Out[7]: 6
```

另外，有关安装的最新指令和细节可以在TensorFlow网站 $^5$ 上找到。

> 3 http://docs.nvidia.com/cuda

> 4 https://developer.nvidia.com/rdp/cudnn-archive

> 5 https://www.tensorflow.org/install/
