## TensorFlow运算
在变量初始化内容里已经讲了一些运算的知识，但这些只是TensorFlow中可获得的运算域的一个小子集。从高的层面讲，TensorFlow运算表示应用到计算图中张量的抽象变换。运算具有提供先验知识或者在运行时推断的属性。例如，属性可以描述期望的输入类型(输入类型为float32或int32的张量)。就像变量命名一样，运算也有一个可选的名字属性，可以轻松地提交到运算图中。

运算由单核或多核组成，这表明可以指定设备实现。例如，运算有分离的CPU核和GPU核，因为运算在GPU上表达效率更高。许多矩阵上的TensorFlow运算就是这种情况。

为了提供一个可获得的运算类型的概览，我们从详细设计各种类型运算的原始TensorFlow白皮书上总结了表3-1 $^{11}$.

<table>
    <tr>
        <th bgcolor=Crimson><font color="white">Category</th>
        <th bgcolor=Crimson><font color="white">Examples</th>
    </tr>
    <tr>
        <td>Element-wise mathematical operations</td>
        <td>Add, Sub, Mul, Div, Exp, Log, Greater, Less, Equal, ...</td>
    </tr>
    <tr>
        <td>Array operations</td>
        <td>Concat, Slice, Split, Constant, Rank, Shape, Shuffle, ...</td>
    </tr>
    <tr>
        <td>Matrix operations</td>
        <td>MatMul, MatrixInverse, MatrixDeterminant, ...</td>
    </tr>
    <tr>
        <td>Stateful operations</td>
        <td>Variable, Assign, AssignAdd, ...</td>
    </tr>
    <tr>
        <td>Neural network building blocks</td>
        <td>SoftMax, Sigmoid, ReLU, Convolution2D, MaxPool, ...</td>
    </tr>
    <tr>
        <td>Checkpointing operations</td>
        <td>Save, Restore</td>
    </tr>
    <tr>
        <td>Queue and synchronization operations</td>
        <td>Enqueue, Dequeue, MutexAcquire, MutexRelease, ...</td>
    </tr>
    <tr>
        <td>Control flow operations</td>
        <td>Merge, Switch, Enter, Leave, NextIteration</td>
    </tr>
</table>

> 11 Abadi, Martín, et al. “TensorFlow: Large-Scale Machine Learning on Heterogeneous Distributed Systems.”
arXiv preprint arXiv:1603.04467 (2016).
