这是《fundamental of deep learning》的私人中文版 :blush:。

## 原书信息
![](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/images_folder/cover.jpg)

**Author**: Nicholas Locascio, Nikhil Buduma

**ISBN-10**: 1491925612

**Year**: 2017

**Pages**: 304

## 目录
- Ch1. The Neural Network
    - [Building Intelligent Machines](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/1.Building%20Intelligent%20Machines.md)
    - [The Limits of Traditional Computer Programs](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/2.The%20Limits%20of%20Traditional%20Computer%20Programs.md)
    - [The Mechanics of Machine Learning](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/3.The%20Mechanics%20of%20Machine%20Learning.md)
    - [The Neuron](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/4.The%20Neuron.md)
    - [Expressing Linear Perceptrons as Neurons](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/5.Expressing%20Linear%20Perceptrons%20as%20Neurons.md)
    - [Feed-Forward Neural Networks](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/6.Feed-Forward%20Neural%20Networks.md)
    - [Linear Neurons and Their Limitations](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/7.Linear%20Neurons%20and%20Their%20Limitations.md)
    - [Sigmoid, Tanh and ReLU Neurons](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/8.Sigmoid%2C%20Tanh%20and%20ReLU%20Neurons.md)
    - [Softmax Output Layers](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/9.Softmax%20Output%20Layers.md)
    - [Looking Forward](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch1/10.Looking%20Forward.md)
- Ch2. Training Feed-Forward Neural Networks
    - [The Fast-Food Problem](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/1.The%20Fast-Food%20Problem.md)
    - [Gradient Descent](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/2.Gradient%20Descent.md)
    - [The Delta Rule and Learning Rates](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/3.The%20Delta%20Rule%20and%20Learning%20Rates.md)
    - [Gradient Descent with Sigmoidal Neurons](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/4.Gradient%20Descent%20with%20Sigmoidal%20Neurons.md)
    - [The Backpropagation Algorithm](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/5.The%20Backpropagation%20Algorithm.md)
    - [Stochastic and Minibatch Gradient Descent](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/6.Stochastic%20and%20Minibatch%20Gradient%20Descent.md)
    - [Test Sets, Validation Sets, and Overfitting](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/7.Test%20Sets%2C%20Validation%20Sets%2C%20and%20Overfitting.md)
    - [Preventing Overfitting in Deep Neural Networks](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/8.Preventing%20Overfitting%20in%20Deep%20Neural%20Networks.md)
    - [Summary](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch2/9.Summary.md)
 - Ch3. Implementing Neural Networks in TensorFlow
   - [What Is TensorFlow?](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/1.What%20Is%20TensorFlow.md)
   - [How Does TensorFlow Compare to Alternatives?](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/2.How%20Does%20TensorFlow%20Compare%20to%20Alternatives.md)
   - [Installing TensorFlow](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/3.Installing%20TensorFlow.md)
   - [Creating and Manipulating TensorFlow Variables](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/4.Creating%20and%20Manipulating%20TensorFlow%20Variables.md)
   - [TensorFlow Operations](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/5.TensorFlow%20Operations.md)
   - [Placeholder Tensors](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/6.Placeholder%20Tensors.md)
   - [Sessions in TensorFlow](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/7.Sessions%20in%20TensorFlow.md)
   - [Navigating Variable Scopes and Sharing Variables](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/8.Navigating%20Variable%20Scopes%20and%20Sharing%20Variables.md)
   - [Managing Models over the CPU and GPU](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/9.Managing%20Models%20over%20the%20CPU%20and%20GPU.md)
   - [Specifying the Logistic Regression Model in TensorFlow](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/10.Specifying%20the%20Logistic%20Regression%20Model%20in%20TensorFlow.md)
   - [Logging and Training the Logistic Regression Model](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/11.Logging%20and%20Training%20the%20Logistic%20Regression%20Model.md)
   - [Leveraging TensorBoard to Visualize Computation Graphs and Learning](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/12.Leveraging%20TensorBoard%20to%20Visualize%20Computation%20Graphs.md)
   - [Building a Multilayer Model for MNIST in TensorFlow](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/13.Building%20a%20Multilayer%20Model%20for%20MNIST%20in%20TensorFlow.md)
   - [Summary](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch3/14.Summary.md)
 - Ch4. Beyond Gradient Descent
   - [The Challenges with Gradient Descent](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/1.The%20Challenges%20with%20Gradient%20Descent.md)
   - [Local Minima in the Error Surfaces of Deep Networks](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/2.Local%20Minima%20in%20the%20Error%20Surfaces%20of%20Deep%20Networks.md)
   - [Model Identifiability](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/3.Model%20Identifiability.md)
   - [How Pesky Are Spurious Local Minima in Deep Networks?](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/4.How%20Pesky%20Are%20Spurious%20Local%20Minima%20in%20Deep%20Networks.md)
   - [Flat Regions in the Error Surface](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/5.Flat%20Regions%20in%20the%20Error%20Surface.md)
   - [When the Gradient Points in the Wrong Direction](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/6.When%20the%20Gradient%20Points%20in%20the%20Wrong%20Direction.md)
   - [Momentum-Based Optimization](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/7.Momentum-Based%20Optimization.md)
   - [A Brief View of Second-Order Methods](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/8.A%20Brief%20View%20of%20Second-Order%20Methods.md)
   - [Learning Rate Adaptation](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/9.Learning%20Rate%20Adaptation.md)
   - [The Philosophy Behind Optimizer Selection](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/10.The%20Philosophy%20Behind%20Optimizer%20Selection.md)
   - [Summary](https://github.com/lucasbyAI/Fundamental_of_Deep_Learning_ZH/blob/master/Ch4/11.Summary.md)
 - Ch5. Convolutional Neural Networks
   - [Neurons in Human Vision]()
   - [The Shortcomings of Feature Selection]()
   - [Vanilla Deep Neural Networks Don’t Scale]()
   - [Filters and Feature Maps]()
   - [Full Description of the Convolutional Layer]()
   - [Max Pooling]()
   - [Full Architectural Description of Convolution Networks]()
   - [Closing the Loop on MNIST with Convolutional Networks]()
   - [Image Preprocessing Pipelines Enable More Robust Models]()
   - [Accelerating Training with Batch Normalization]()
   - [Building a Convolutional Network for CIFAR-10]()
   - [Visualizing Learning in Convolutional Networks]()
   - [Leveraging Convolutional Filters to Replicate Artistic Styles]()
   - [Learning Convolutional Filters for Other Problem Domains]()
   - [Summary]()
 - Ch6. Embedding and Representation Learning
   - [Learning Lower-Dimensional Representations]()
   - [Principal Component Analysis]()
   - [Motivating the Autoencoder Architecture]()
   - [Implementing an Autoencoder in TensorFlow]()
   - [Denoising to Force Robust Representations]()
   - [Sparsity in Autoencoders]()
   - [When Context Is More Informative than the Input Vector]()
   - [The Word2Vec Framework]()
   - [Implementing the Skip-Gram Architecture]()
   - [Summary]()
 - Ch7. Models for Sequence Analysis
   - [Analyzing Variable-Length Inputs]()
   - [Tackling seq2seq with Neural N-Grams]()
   - [Implementing a Part-of-Speech Tagger]()
   - [Dependency Parsing and SyntaxNet]()
   - [Beam Search and Global Normalization]()
   - [A Case for Stateful Deep Learning Models]()
   - [Recurrent Neural Networks]()
   - [The Challenges with Vanishing Gradients]()
   - [Long Short-Term Memory (LSTM) Units]()
   - [TensorFlow Primitives for RNN Models]()
   - [Implementing a Sentiment Analysis Model]()
   - [Solving seq2seq Tasks with Recurrent Neural Networks]()
   - [Augmenting Recurrent Networks with Attention]()
   - [Dissecting a Neural Translation Network]()
   - [Summary]()
 - Ch8. Memory Augmented Neural Networks
   - [Neural Turing Machines]()
   - [Attention-Based Memory Access]()
   - [NTM Memory Addressing Mechanisms]()
   - [Differentiable Neural Computers]()
   - [Interference-Free Writing in DNCs]()
   - [DNC Memory Reuse]()
   - [Temporal Linking of DNC Writes]()
   - [Understanding the DNC Read Head]()
   - [The DNC Controller Network]()
   - [Visualizing the DNC in Action]()
   - [Implementing the DNC in TensorFlow]()
   - [Teaching a DNC to Read and Comprehend]()
   - [Summary]()
 - Ch9. Deep Reinforcement Learning
   - [Deep Reinforcement Learning Masters Atari Games]()
   - [What Is Reinforcement Learning?]()
   - [Markov Decision Processes (MDP)]()
   - [Explore Versus Exploit]()
   - [Policy Versus Value Learning]()
   - [Pole-Cart with Policy Gradients]()
   - [Q-Learning and Deep Q-Networks]()
   - [Improving and Moving Beyond DQN]()
   - [Summary]()
